using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 部门岗位
    /// </summary>
    [Description("部门岗位")]
    public class T_SC_POST_DEPOST : MesEntityBase
    {
        /// <summary>
        /// 责任制岗位ID
        /// </summary>
        [Description("责任制岗位ID")]
        [DataFieldForeignKey("Nav_Post", "Nav_Posts")]
        public Guid POST_ID { get; set; }

        /// <summary>
        /// 导航:责任制岗位
        /// </summary>
        [Description("导航:责任制岗位")]
        public T_SC_POST Nav_Post { get; set; }

        /// <summary>
        /// 部门岗位ID
        /// </summary>
        [Description("部门岗位")]
        [DataFieldForeignKey("Nav_Depost")]
        [FormFieldEdit]
        public Guid DEPOST_ID { get; set; }

        /// <summary>
        /// 导航:部门岗位
        /// </summary>
        [Description("导航:部门岗位")]
        public T_FM_USER_POST Nav_Depost { get; set; }
    }
}
